org.jboss.jca.common.metadata.resourceadapter

## Class ConnectionDefinitionImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.resourceadapter.ConnectionDefinitionImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition

      public class ConnectionDefinitionImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition

  A ConnectionDefinition.
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition

      `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition.Attribute, org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition.Tag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `className` class-name
    `protected java.util.Map<java.lang.String,java.lang.String>` | `configProperties` config-property
    `protected java.lang.Boolean` | `enabled` enable
    `protected java.lang.Boolean` | `enlistment` Enlistment
    `protected java.lang.Boolean` | `isXA` isXA
    `protected java.lang.String` | `jndiName` jndi-name
    `protected org.jboss.jca.common.api.metadata.common.Pool` | `pool` pool
    `protected java.lang.String` | `poolName` pool-name
    `protected org.jboss.jca.common.api.metadata.common.Recovery` | `recovery` recovery
    `protected org.jboss.jca.common.api.metadata.common.Security` | `security` security
    `protected java.lang.Boolean` | `sharable` Sharable
    `protected org.jboss.jca.common.api.metadata.common.TimeOut` | `timeOut` timeout
    `protected java.lang.Boolean` | `useCcm` use-ccm
    `protected java.lang.Boolean` | `useJavaContext` use-java-context
    `protected org.jboss.jca.common.api.metadata.common.Validation` | `validation` validation

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionDefinitionImpl(java.util.Map<java.lang.String,java.lang.String> configProperties, java.lang.String className, java.lang.String jndiName, java.lang.String poolName, java.lang.Boolean enabled, java.lang.Boolean useJavaContext, java.lang.Boolean useCcm, java.lang.Boolean sharable, java.lang.Boolean enlistment, java.lang.Boolean connectable, java.lang.Boolean tracking, java.lang.String mcp, java.lang.Boolean enlistmentTrace, org.jboss.jca.common.api.metadata.common.Pool pool, org.jboss.jca.common.api.metadata.common.TimeOut timeOut, org.jboss.jca.common.api.metadata.common.Validation validation, org.jboss.jca.common.api.metadata.common.Security security, org.jboss.jca.common.api.metadata.common.Recovery recovery, java.lang.Boolean isXA)` Create a new ConnectionDefinition.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getClassName()` Get the className.
    `java.util.Map<java.lang.String,java.lang.String>` | `getConfigProperties()` Get the configProperties.
    `java.lang.String` | `getJndiName()` Get the jndiName.
    `java.lang.String` | `getMcp()` Get mcp
    `org.jboss.jca.common.api.metadata.common.Pool` | `getPool()` Get the pool.
    `java.lang.String` | `getPoolName()` Get the poolName.
    `org.jboss.jca.common.api.metadata.common.Recovery` | `getRecovery()` Get the recovery settings.
    `org.jboss.jca.common.api.metadata.common.Security` | `getSecurity()` Get the security.
    `org.jboss.jca.common.api.metadata.common.TimeOut` | `getTimeOut()` Get the timeOut.
    `org.jboss.jca.common.api.metadata.common.Validation` | `getValidation()` Get the validation.
    `int` | `hashCode()`
    `java.lang.Boolean` | `isConnectable()` Get the connectable flag
    `java.lang.Boolean` | `isEnabled()` Get the enabled.
    `java.lang.Boolean` | `isEnlistment()` Get the enlistment
    `java.lang.Boolean` | `isEnlistmentTrace()` Get the enlistment trace
    `java.lang.Boolean` | `isSharable()` Get the sharable
    `java.lang.Boolean` | `isTracking()` Get the tracking flag
    `java.lang.Boolean` | `isUseCcm()` Get the useCcm.
    `java.lang.Boolean` | `isUseJavaContext()` Get the useJavaContext.
    `java.lang.Boolean` | `isXa()` Return true if this connectionDefnition have defined an XaPool
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### configProperties

          protected java.util.Map<java.lang.String,java.lang.String> configProperties

      config-property

    - #### className

          protected java.lang.String className

      class-name

    - #### jndiName

          protected java.lang.String jndiName

      jndi-name

    - #### poolName

          protected java.lang.String poolName

      pool-name

    - #### enabled

          protected java.lang.Boolean enabled

      enable

    - #### useJavaContext

          protected java.lang.Boolean useJavaContext

      use-java-context

    - #### useCcm

          protected java.lang.Boolean useCcm

      use-ccm

    - #### pool

          protected org.jboss.jca.common.api.metadata.common.Pool pool

      pool

    - #### timeOut

          protected org.jboss.jca.common.api.metadata.common.TimeOut timeOut

      timeout

    - #### validation

          protected org.jboss.jca.common.api.metadata.common.Validation validation

      validation

    - #### security

          protected org.jboss.jca.common.api.metadata.common.Security security

      security

    - #### recovery

          protected org.jboss.jca.common.api.metadata.common.Recovery recovery

      recovery

    - #### isXA

          protected java.lang.Boolean isXA

      isXA

    - #### sharable

          protected java.lang.Boolean sharable

      Sharable

    - #### enlistment

          protected java.lang.Boolean enlistment

      Enlistment

  - ### Constructor Detail

    - #### ConnectionDefinitionImpl

          public ConnectionDefinitionImpl(java.util.Map<java.lang.String,java.lang.String> configProperties,
                                          java.lang.String className,
                                          java.lang.String jndiName,
                                          java.lang.String poolName,
                                          java.lang.Boolean enabled,
                                          java.lang.Boolean useJavaContext,
                                          java.lang.Boolean useCcm,
                                          java.lang.Boolean sharable,
                                          java.lang.Boolean enlistment,
                                          java.lang.Boolean connectable,
                                          java.lang.Boolean tracking,
                                          java.lang.String mcp,
                                          java.lang.Boolean enlistmentTrace,
                                          org.jboss.jca.common.api.metadata.common.Pool pool,
                                          org.jboss.jca.common.api.metadata.common.TimeOut timeOut,
                                          org.jboss.jca.common.api.metadata.common.Validation validation,
                                          org.jboss.jca.common.api.metadata.common.Security security,
                                          org.jboss.jca.common.api.metadata.common.Recovery recovery,
                                          java.lang.Boolean isXA)

      Create a new ConnectionDefinition.
      Parameters:
        `configProperties` - configProperties
        `className` - className
        `jndiName` - jndiName
        `poolName` - poolName
        `enabled` - enabled
        `useJavaContext` - useJavaContext
        `useCcm` - useCcm
        `sharable` - sharable
        `enlistment` - enlistment
        `connectable` - connectable
        `tracking` - tracking
        `mcp` - mcp
        `enlistmentTrace` - enlistmentTrace
        `pool` - pool
        `timeOut` - timeOut
        `validation` - validation
        `security` - security
        `recovery` - recovery
        `isXA` - isXA

  - ### Method Detail

    - #### getConfigProperties

          public java.util.Map<java.lang.String,java.lang.String> getConfigProperties()

      Get the configProperties.
      Specified by:
        `getConfigProperties` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the configProperties.

    - #### getClassName

          public java.lang.String getClassName()

      Get the className.
      Specified by:
        `getClassName` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the className.

    - #### getJndiName

          public java.lang.String getJndiName()

      Get the jndiName.
      Specified by:
        `getJndiName` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the jndiName.

    - #### getPoolName

          public java.lang.String getPoolName()

      Get the poolName.
      Specified by:
        `getPoolName` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the poolName.

    - #### isEnabled

          public java.lang.Boolean isEnabled()

      Get the enabled.
      Specified by:
        `isEnabled` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the enabled.

    - #### isUseJavaContext

          public java.lang.Boolean isUseJavaContext()

      Get the useJavaContext.
      Specified by:
        `isUseJavaContext` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the useJavaContext.

    - #### isUseCcm

          public java.lang.Boolean isUseCcm()

      Get the useCcm.
      Specified by:
        `isUseCcm` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the useCcm.

    - #### getPool

          public org.jboss.jca.common.api.metadata.common.Pool getPool()

      Get the pool.
      Specified by:
        `getPool` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the pool.

    - #### getTimeOut

          public org.jboss.jca.common.api.metadata.common.TimeOut getTimeOut()

      Get the timeOut.
      Specified by:
        `getTimeOut` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the timeOut.

    - #### getValidation

          public org.jboss.jca.common.api.metadata.common.Validation getValidation()

      Get the validation.
      Specified by:
        `getValidation` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the validation.

    - #### getSecurity

          public org.jboss.jca.common.api.metadata.common.Security getSecurity()

      Get the security.
      Specified by:
        `getSecurity` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the security.

    - #### getRecovery

          public org.jboss.jca.common.api.metadata.common.Recovery getRecovery()

      Get the recovery settings.
      Specified by:
        `getRecovery` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the recovery settings.

    - #### isXa

          public java.lang.Boolean isXa()

      Return true if this connectionDefnition have defined an XaPool
      Specified by:
        `isXa` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        true if this connectionDefnition have defined an XaPool

    - #### isSharable

          public java.lang.Boolean isSharable()

      Get the sharable
      Specified by:
        `isSharable` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the value

    - #### isEnlistment

          public java.lang.Boolean isEnlistment()

      Get the enlistment
      Specified by:
        `isEnlistment` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the value

    - #### isConnectable

          public java.lang.Boolean isConnectable()

      Get the connectable flag
      Specified by:
        `isConnectable` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        True, if connectable should be supported

    - #### isTracking

          public java.lang.Boolean isTracking()

      Get the tracking flag
      Specified by:
        `isTracking` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        `null` is container default, a value is an override

    - #### getMcp

          public java.lang.String getMcp()

      Get mcp
      Specified by:
        `getMcp` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        The value

    - #### isEnlistmentTrace

          public java.lang.Boolean isEnlistmentTrace()

      Get the enlistment trace
      Specified by:
        `isEnlistmentTrace` in interface `org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition`
      Returns:
        the enlistment trace

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)